OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
core.cpp File Reference

Functions used to initialize/shut down the core network. More...

`#include "../../stdafx.h"`
`#include "../../debug.h"`
`#include "os_abstraction.h"`
`#include "packet.h"`
`#include "../../safeguards.h"`

Go to the source code of this file.

## Functions
bool | NetworkCoreInitialize ()
| Initializes the network core (as that is needed for some platforms.
void | NetworkCoreShutdown ()
| Shuts down the network core (as that is needed for some platforms.

## Detailed Description

Functions used to initialize/shut down the core network.

Definition in file core.cpp.

## Function Documentation

bool NetworkCoreInitialize | ( |  | ) |

Initializes the network core (as that is needed for some platforms.

Returns
  true if the core has been initialized, false otherwise

Definition at line 33 of file core.cpp.

References DEBUG.

Referenced by NetworkStartUp().